Zigbee and Z-Wave manual install script

zigbee
installation
zwave
Tags: #<Tag:0x00007fe066068008> #<Tag:0x00007fe0660bbeb0> #<Tag:0x00007fe0660bbcf8>

(Scott Rushworth) #21

OK… you can get into Karaf with the client script. How do you launch the script? Specifically, which account are you using?


(Kim Andersen) #22

Latest script, I´d grap a new copy the other day…

Launch it from terminal in /usr/share/openhab2/addons with:

sudo -u openhab bash zzManualInstaller.sh

(Chris Jackson) #23

@5iver does your wonder-script handle snapshot versions of the ZigBee libraries? If so, I might start to use this for test fixes/trials…


(Scott Rushworth) #24

You can select snapshot or development. For both, it will install the snapshot binding (and bridges), and either the snapshot (from ci.openhab.org) or development (from Bintray) libraries. If development is selected, it will prompt for the version of the libraries that you want. For this prompt, it goes out and reads the latest version, and uses this value as the default (screenshot here).

Is this what you’re asking? I think what you are calling ‘snapshot versions of the Zigbee libraries’, the script calls the development version.


(Chris Jackson) #25

I’m not sure it’s what I’m asking :slight_smile: . To be clear, I’m talking about the Z-Smart Systems ZigBee libraries, not the binding.

I’m not really sure what the “development version” is… There are release versions (numbered 1.1.8, 1.1.9 etc) and there are snapshot versions (numbered 1.1.10-SNAPSHOT). If I remember correctly, the repository for the snapshot versions is different to the release version (it’s just the way Bintray handled snapshots).

I think (??) that what you are calling development libraries, are release versions, but not the ones in the openHAB target platform? If so, then we are talking different things…

(I hope that makes sense?).


(Scott Rushworth) #26

Just the best term I could come up with to differentiate from what is available in the OH snapshots. At times, the version (at least the one I was aware of) of the libraries is newer than the one in the OH build, so development version seemed to fit. So there’s a snapshot, release, and the one in the OH snapshots…

You got it…

I should be able to add this as an option… just need a URL for the snapshot version. :slightly_smiling_face:

And we should decide on some more accurate names to use in the script. Release, prelease, and snapshot? Snapshot might lead people to think it’s the one in the OH snapshot though. Maybe snapshot, staging, and development?


(Chris Jackson) #27

Well, formally, there are only release and snapshot versions, so I would keep it at this. However, there are three options -:

  • OpenHAB baseline
  • Latest ZigBee Library release
  • Latest ZigBee Library snapshot

I would prefer to avoid these names as I’m already confused. I think we just need to make it clear (if that’s possible :slight_smile: ) that we are talking about the libraries, or the binding. I think it we start coming up with other names like staging or development, it will be confusing as these don’t really exist. We should just treat the binding and libraries as separate entities (which they are).


(Scott Rushworth) #28

If Install Zigbee Binding is selected, I’ll pop a new menu which will allow selection of the library version. How about…

OpenHAB baseline (included in OH snapshot)
Latest ZigBee Library release
Latest ZigBee Library snapshot

To confirm, these are the “Latest Zigbee Library snapshot” libraries? Last update on Dec 3?

https://oss.jfrog.org/artifactory/oss-snapshot-local/com/zsmartsystems/zigbee/


(Chris Jackson) #29

That’s fine with me :slight_smile:

Yes, I guess that’s right, but I’m surprised it’s the 3rd Dec as I did a snapshot deploy yesterday :confounded: . I’ll check this later.


(Chris Jackson) #30

I should have checked your link - there is indeed a version from last night (1.1.10-SNAPSHOT). I’m not sure how/ when it updates the main folder as they are going in to the subfolders…


(Scott Rushworth) #31

I saw the dates on the directories and didn’t go further… I’ll get this setup.


(Scott Rushworth) #32

@chris, I pushed the update… you can now select the pre-release libraries. The script will populate the latest version as the default.


(Chris Jackson) #33

Thanks @5iver - that’s cool. I will look at this in future for testing as it is much better than performing a release just to add debug :slight_smile:


(Kim Andersen) #34

@5iver for the zwave update. Which one is newest… Master or Developement ? it doesnt seem clear to me.


(Scott Rushworth) #35

The options are snapshot and development, and you are instructed to only use development if Chris directs you to use it. So, use snapshot! :slightly_smiling_face:


(Kim Andersen) #36

Hmm I guess I have an older version (again). Cause I get two options. Master and Development. Master seem to be the most reason, right now it´s dated 20190114.


(Scott Rushworth) #37

5 posts up… I changed some of the wording, along with these changes. I plan to add a version check, so that you’ll be warned of an update and be prompted if you’d like the script to update itself.


(Kim Andersen) #38

Yeah, but I thought this change only concerned the Zigbee…

Might be a good idea… I for one can´t keep up :slight_smile:


(Dan Wilson) #39

Hi newbie here. When I run the script I get syntax error line 7 “”. I guess my install can’t figure out the html commands. I probably need to instal something.

[07:47:30] openhabian@openHABianPi:/usr/share/openhab2/addons$ sudo -u openhab bash zzManualInstaller.sh
[sudo] password for openhabian:
zzManualInstaller.sh: line 7: syntax error near unexpected token newline' zzManualInstaller.sh: line 7:
Thanks
Dan.


(Scott Rushworth) #40

Try removing the comment from line 7. I just ran it (not on openhabian), and Zwave and Zigbee updated fine. You should not need to install anything to run the script. BUT, I don’t think you will want to update right now. Zwave updated OK, but Zigbee is not starting up. I’m wondering if this may be due to some references to libraries that moved since the ESH reintegration. Still investigating…

Never mind the warning about upgrading… everything is working after an OH restart.